Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming
Class InitialContextFactory

    java.lang.Object
      org.mortbay.naming.InitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class InitialContextFactory

extends Object
implements InitialContextFactory

InitialContextFactory.java Factory for the default InitialContext. Created: Tue Jul 1 19:08:08 2003

Version:
  1.0
Author:
  Jan Bartel

Nested Class Summary
`static class` | `InitialContextFactory.DefaultParser`

Constructor Summary
`InitialContextFactory()`

Method Summary
`Context` | `getInitialContext(Hashtable env)` Get Context that has access to default Namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory

    public InitialContextFactory()

Method Detail

### getInitialContext

    public Context getInitialContext(Hashtable env)

  Get Context that has access to default Namespace. This method won't be called if a name URL beginning with java: is passed to an InitialContext.

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Parameters:
    `env` - a `Hashtable` value
  Returns:
    a `Context` value
  See Also:
    `javaURLContextFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.